<%
var stringToColour = function(str) {
  var hash = 0;
  for (var i = 0; i < str.length; i++) {
    hash = str.charCodeAt(i) + ((hash << 5) - hash);
  }
  var colour = '#';
  for (var i = 0; i < 3; i++) {
    var value = (hash >> (i * 8)) & 0xFF;
    colour += ('00' + value.toString(16)).substr(-2);
  }
  return colour;
}
var style;
%>
    
<h1>Question Ids (active = <%=qs.filter(x => x.is_active).length%>, disabled = <%=qs.filter(x => !x.is_active).length%>, total = <%-qs.length%>). Hover the ID for more info.</h1>
<% for (var typei = 0; typei < distinctTypes.length; ++typei){ %>
  <h2><%= distinctTypes[typei] %> </h2>

  <% for (var i=0; i < qs.length; ++i){%>
    <% if (qs[i].type_name === distinctTypes[typei] ) {%>
    <%  style = '';
              if (qs[i].id_question_type != 1) {
                  style = "border: 1px " + stringToColour(qs[i].type_name) + " solid";
              }
          %>
    <a style="<%-style%>" href="/question/edit/<%-qs[i].id%>" title="Type: <%-qs[i].type_name%>
        Created: <%-qs[i].user_created%> @ <%-qs[i].ts_created%>
        Modified: <%-qs[i].user_modified%> @ <%-qs[i].ts_modified%>">
      <%- (qs[i].is_active ? qs[i].id : "<strike>" + qs[i].id + "</strike>")  %>
    </a>

    <%}%>
  <%}%>
 
<%}%>